List connectors
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.supermemory.ai/ns/{namespace}/connectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.supermemory.ai/ns/{namespace}/connectors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.supermemory.ai/ns/{namespace}/connectors \
--header 'Authorization: Bearer <token>'{
"connectors": [
{
"id": "<string>",
"provider": "notion",
"namespace": "<string>",
"account": "<string>",
"capabilities": {
"selectable": true,
"webhooks": true
},
"config": {},
"selection": {
"labels": [
{
"id": "INBOX",
"name": "Inbox"
}
]
},
"documentLimit": 123,
"documentCount": 123,
"latestRun": {
"errorCode": "auth_expired",
"error": "<string>",
"system": {
"status": "running",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
},
"system": {
"status": "pending_authorization",
"createdAt": "2023-11-07T05:31:56Z",
"lastSuccessfulSyncAt": "2023-11-07T05:31:56Z"
},
"authorization": {
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
},
"syncs": [
{
"errorCode": "auth_expired",
"error": "<string>",
"system": {
"status": "running",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"trigger": "event",
"itemsProcessed": 123,
"itemsFailed": 123,
"failures": [
{
"documentId": "<string>",
"title": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"failedAt": "<string>"
}
]
}
],
"picker": {
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}
],
"pagination": {
"currentPage": 1,
"limit": 10,
"totalItems": 100,
"totalPages": 10
}
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}List connectors
List the connectors that sync into this namespace.
GET
/
ns
/
{namespace}
/
connectors
List connectors
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.supermemory.ai/ns/{namespace}/connectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.supermemory.ai/ns/{namespace}/connectors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.supermemory.ai/ns/{namespace}/connectors \
--header 'Authorization: Bearer <token>'{
"connectors": [
{
"id": "<string>",
"provider": "notion",
"namespace": "<string>",
"account": "<string>",
"capabilities": {
"selectable": true,
"webhooks": true
},
"config": {},
"selection": {
"labels": [
{
"id": "INBOX",
"name": "Inbox"
}
]
},
"documentLimit": 123,
"documentCount": 123,
"latestRun": {
"errorCode": "auth_expired",
"error": "<string>",
"system": {
"status": "running",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}
},
"system": {
"status": "pending_authorization",
"createdAt": "2023-11-07T05:31:56Z",
"lastSuccessfulSyncAt": "2023-11-07T05:31:56Z"
},
"authorization": {
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
},
"syncs": [
{
"errorCode": "auth_expired",
"error": "<string>",
"system": {
"status": "running",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"trigger": "event",
"itemsProcessed": 123,
"itemsFailed": 123,
"failures": [
{
"documentId": "<string>",
"title": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"failedAt": "<string>"
}
]
}
],
"picker": {
"url": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}
],
"pagination": {
"currentPage": 1,
"limit": 10,
"totalItems": 100,
"totalPages": 10
}
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}{
"error": "Invalid request parameters",
"details": "Query must be at least 1 character long"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Namespace identifier. This can be an ID for your user, a project ID, or any other identifier you wish to use to scope documents and memories.
Maximum string length:
100Pattern:
^[a-zA-Z0-9_:-]+$Example:
"user_alex"
Query Parameters
Only return connectors for this provider
Available options:
notion, google-drive, onedrive, gmail, github, web-crawler, s3, granola One-based page number
Required range:
1 <= x <= 9007199254740991Maximum connectors to return per page
Required range:
1 <= x <= 100Was this page helpful?